local function distance(x,y,xx,yy)
    return math.sqrt(((x-xx)^2)+(y-yy)^2)
end

rand  = function(x)
    return math.random(-x, x)
end
ldraw = function(x,y,xx,yy)
    local drawLine = love.graphics.line
    local len =  distance(x,y,xx,yy)
    local nlen = len
    
    local lines = {}
    local nn = 15
    
    local ox, oy = x, y
    
    local min, max = 3,13
    local mx = math.random(min,max)
 
    while nlen>0 do
        local t = len/(math.random(min,max))
        if t > nlen then
            t = nlen
        end
        
        nlen = nlen - t
        
        local done = nlen<=0
        local line = {
            x = ox,
            
            y = oy,
            
            x2 = ox+(done and 0 or rand(nn)),
            y2 = oy+t,0+(done  and 0 or rand(nn))
        }
        ox,oy=line.x2, line.y2
        
        lines[#lines+1] = line
         
    end
     
    
    for xi = 1, #lines do
        local l = lines[xi]
        drawLine(l.x, l.y, l.x2, l.y2)
    end
end

love.draw = function()
    ldraw(100,10,100,300)
    --love.graphics.line(200,10,200,300)
end